SBendCornerCollection Class

class NXOpen.Routing.SBendCornerCollection

Bases: object

Represents a collection of NXOpen.Routing.SBendCorner objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

New in version NX4.0.0.

Methods

Method Description
ComputeSBend Compute a S-Bend curve given input.
ComputeSBendData Compute a S-Bend parameters given input.
CreateCornerByBendRadius Creates a S-Bend corner between the start rcp and end rcp using a bend radius.
CreateCornerByBendRatio Creates a S-Bend corner between the start rcp and end rcp using a bend ratio.
CreateCornerBySegBendRadius Creates a S-Bend corner between the start rcp and end rcp using a NXOpen.Routing.SplineSegment and a bend radius.
CreateCornerBySegBendRatio Creates a S-Bend corner between the start rcp and end rcp using a NXOpen.Routing.SplineSegment and a bend ratio.
EditCornerByBendRadius Edits a selected S-Bend corner between the start rcp and end rcp using a bend radius.
EditCornerByBendRatio Edits a S-Bend corner between the start rcp and end rcp using a bend ratio.
GetRcpSBendRadius Gets the S-Bend radius of a rcp associated S-Bend corner.
GetSBendAssociatedToRcp Given a control point, get S-Bend corners pointing to it
GetSBendAssociatedToSegment Enquire the S-Bend Corner that this segment represents.
GetSegmentSBendRadius Gets the bend radius of a segment associated S-Bend corner.
IsRcpAssociatedToSBend Determines if the rcp is associated to an S-Bend corner.

Method Detail

ComputeSBend

SBendCornerCollection.ComputeSBend

Compute a S-Bend curve given input.

Signature ComputeSBend(startPnt, endPnt, lineVec1, lineVec2, radius, sbendType)

Parameters:
  • startPnt (NXOpen.Point3d) – Start point of a S-Bend.
  • endPnt (NXOpen.Point3d) – end point of a S-Bend.
  • lineVec1 (NXOpen.Vector3d) – First S-Bend defining vector.
  • lineVec2 (NXOpen.Vector3d) – Second S-Bend defining vector.
  • radius (float) – Radius to use for a S-Bend
  • sbendType (int) – Valid values: ROUTE_SBEND_TYPE_[1-5].
Returns:

a tuple

Return type:

A tuple consisting of (isSbend, bendCurve). isSbend is a bool. TURE: if S-Bend is possible; FALSE: otherwise. bendCurve is a NXOpen.Spline. S-Bend spline when a valid solution exists; None otherwise.

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

ComputeSBendData

SBendCornerCollection.ComputeSBendData

Compute a S-Bend parameters given input.

Signature ComputeSBendData(startPnt, endPnt, lineVec1, lineVec2, radius, sbendType)

Parameters:
  • startPnt (NXOpen.Point3d) – Start point of a S-Bend.
  • endPnt (NXOpen.Point3d) – end point of a S-Bend.
  • lineVec1 (NXOpen.Vector3d) – First S-Bend defining vector.
  • lineVec2 (NXOpen.Vector3d) – Second S-Bend defining vector.
  • radius (float) – Radius to use for a S-Bend
  • sbendType (int) – Valid values: ROUTE_SBEND_TYPE_[1-5].
Returns:

a tuple

Return type:

A tuple consisting of (isSbend, extensionPt1, extensionPt2, arc1StartPt, arc1EndPt, arc2StartPt, arc2EndPt). isSbend is a bool. TURE: if S-Bend is possible; FALSE: otherwise. extensionPt1 is a NXOpen.Point3d. Location of 1st extension point where bend fillets could be assigned. Value is not valid when no S-Bend is possible.extensionPt2 is a NXOpen.Point3d. Location of 2nd extension point where bend fillets could be assigned.arc1StartPt is a NXOpen.Point3d. Point where the first bend arc starts. Only computed if not None. arc1EndPt is a NXOpen.Point3d. Point where the first bend arc ends. Only computed if not None. arc2StartPt is a NXOpen.Point3d. Point where the second bend arc starts. Only computed if not None. arc2EndPt is a NXOpen.Point3d. Point where the second bend arc ends. Only computed if not None.

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

CreateCornerByBendRadius

SBendCornerCollection.CreateCornerByBendRadius

Creates a S-Bend corner between the start rcp and end rcp using a bend radius.

Signature CreateCornerByBendRadius(startRcp, endRcp, bendRadius, sbendType)

Parameters:
Returns:

The newly created S-Bend Corner

Return type:

NXOpen.Routing.SBendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

CreateCornerByBendRatio

SBendCornerCollection.CreateCornerByBendRatio

Creates a S-Bend corner between the start rcp and end rcp using a bend ratio.

Signature CreateCornerByBendRatio(startRcp, endRcp, bendRatio, sbendType)

Parameters:
Returns:

The newly created S-Bend Corner

Return type:

NXOpen.Routing.SBendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

CreateCornerBySegBendRadius

SBendCornerCollection.CreateCornerBySegBendRadius

Creates a S-Bend corner between the start rcp and end rcp using a NXOpen.Routing.SplineSegment and a bend radius.

Signature CreateCornerBySegBendRadius(startRcp, endRcp, segment, sbendType, bendRadius)

Parameters:
Returns:

The newly created S-Bend corner object.

Return type:

NXOpen.Routing.SBendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

CreateCornerBySegBendRatio

SBendCornerCollection.CreateCornerBySegBendRatio

Creates a S-Bend corner between the start rcp and end rcp using a NXOpen.Routing.SplineSegment and a bend ratio.

Signature CreateCornerBySegBendRatio(startRcp, endRcp, segment, sbendType, bendRatio)

Parameters:
Returns:

The newly created S-Bend corner object.

Return type:

NXOpen.Routing.SBendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

EditCornerByBendRadius

SBendCornerCollection.EditCornerByBendRadius

Edits a selected S-Bend corner between the start rcp and end rcp using a bend radius.

Signature EditCornerByBendRadius(startRcp, endRcp, bendRadius, sbendType, sbend)

Parameters:

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

EditCornerByBendRatio

SBendCornerCollection.EditCornerByBendRatio

Edits a S-Bend corner between the start rcp and end rcp using a bend ratio.

Signature EditCornerByBendRatio(startRcp, endRcp, bendRatio, sbendType, sbend)

Parameters:

New in version NX5.0.0.

License requirements: routing_base (“Routing Basic”)

GetRcpSBendRadius

SBendCornerCollection.GetRcpSBendRadius

Gets the S-Bend radius of a rcp associated S-Bend corner.

Signature GetRcpSBendRadius(rcp)

Parameters:rcp (NXOpen.Routing.ControlPoint) – The control point.
Returns:The bend radius.
Return type:float

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

GetSBendAssociatedToRcp

SBendCornerCollection.GetSBendAssociatedToRcp

Given a control point, get S-Bend corners pointing to it

Signature GetSBendAssociatedToRcp(rcp)

Parameters:rcp (NXOpen.Routing.ControlPoint) – Input control point
Returns:Corner objects pointing to the rcp.
Return type:list of NXOpen.Routing.SBendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

GetSBendAssociatedToSegment

SBendCornerCollection.GetSBendAssociatedToSegment

Enquire the S-Bend Corner that this segment represents.

(None can be returned, indicating that this segment does not represent a S-Bend Corner.)

Signature GetSBendAssociatedToSegment(segment)

Parameters:segment (NXOpen.Routing.SplineSegment) – Segment being queried for the S-Bend Corner it represents.
Returns:S-Bend Corner that segment represents

(None can be returned,indicating that segment does not represent a S-Bend Corner). :rtype: NXOpen.Routing.SBendCorner

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

GetSegmentSBendRadius

SBendCornerCollection.GetSegmentSBendRadius

Gets the bend radius of a segment associated S-Bend corner.

Signature GetSegmentSBendRadius(segment)

Parameters:segment (NXOpen.Routing.SplineSegment) – The segment associated with the S-Bend corner
Returns:The bend radius.
Return type:float

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)

IsRcpAssociatedToSBend

SBendCornerCollection.IsRcpAssociatedToSBend

Determines if the rcp is associated to an S-Bend corner.

Signature IsRcpAssociatedToSBend(rcp)

Parameters:rcp (NXOpen.Routing.ControlPoint) – Control point to be interrogated.
Returns:true - The control point is a rcp for

a S-Bend corner. false - Otherwise :rtype: bool

New in version NX4.0.0.

License requirements: routing_base (“Routing Basic”)